#! /bin/bash

# $1: Conda Path
# To be executed folder to test.
export PYTHONPATH=$PYTHONPATH:`pwd`/seminar-e-mobility/model
$1/conda env create --prefix ./env -f ./environment.yml
export PATH=`pwd`/env/bin:$PATH
python index.py --port 8051 > log & sleep 20 && kill $!
cat log
cat log | grep -i "Running on http://127.0.0.1:8051"
